Bug 956535 - itkTestDriver not included in default packages
Summary: itkTestDriver not included in default packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: InsightToolkit
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mario Ceresa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-25 07:41 UTC by Mario Ceresa
Modified: 2013-05-06 03:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-02 04:32:09 UTC


Attachments (Terms of Use)

Description Mario Ceresa 2013-04-25 07:41:21 UTC
Description of problem:

/usr/bin/itkTestDriver is required to compile against ITK but it is now included in the "examples" sub-package and not installed by default. 

Version-Release number of selected component (if applicable):
rawhide + updates testing in f18-f19

How reproducible:
sudo yum install InsightToolkit-devel --enablerepo=updates-testing

Try to compile anything that requires ITK

  
Actual results:

The imported target "itkTestDriver" references the file

      "/usr/bin/itkTestDriver"

   but this file does not exist.  Possible reasons include:

   * The file was deleted, renamed, or moved to another location.

   * An install or uninstall procedure did not complete successfully.

   * The installation package was faulty and contained

      "/usr/lib64/cmake/InsightToolkit/ITKTargets-relwithdebinfo.cmake"

   but not all the files it references.

 Call Stack (most recent call first):
   /usr/lib64/cmake/InsightToolkit/ITKTargets.cmake:193 (INCLUDE)
   /usr/lib64/cmake/InsightToolkit/ITKConfig.cmake:41 (include)
   /usr/share/cmake/Modules/FindITK.cmake:48 (find_package)
   CMakeLists.txt:14 (FIND_PACKAGE)


Expected results:

The configure step completes fine.

Additional info:

sudo yum install InsightToolkit-examples --enablerepo=updates-testing

will install itkTestDriver and fix the problem.

Comment 1 Fedora Update System 2013-04-27 17:20:20 UTC
InsightToolkit-4.3.1-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/InsightToolkit-4.3.1-10.fc19

Comment 2 Fedora Update System 2013-04-27 17:23:53 UTC
InsightToolkit-4.3.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/InsightToolkit-4.3.1-10.fc18

Comment 3 Fedora Update System 2013-04-27 23:56:02 UTC
Package InsightToolkit-4.3.1-10.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing InsightToolkit-4.3.1-10.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6843/InsightToolkit-4.3.1-10.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-05-02 04:32:11 UTC
InsightToolkit-4.3.1-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2013-05-06 03:52:29 UTC
InsightToolkit-4.3.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.